This page was not yet optimized for use on mobile devices.
CryptoComply for Mobile
Certificate details
| Certificate ID | #1938 |
|---|---|
| Status | historical |
| Historical reason | Moved to historical list due to sunsetting |
| Validation dates | 30.04.2013 , 08.11.2013 , 23.04.2014 , 25.01.2016 , 10.02.2016 , 29.03.2018 , 09.03.2021 , 20.04.2021 , 17.01.2023 , 18.04.2024 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode. The module makes no assurance of the minimum strength of random strings and generated keys. |
| Exceptions |
|
| Description | SafeLogic's CryptoComply for Mobile is designed to provide FIPS 140-2 validated cryptographic functionality and is available for licensing. |
| Tested configurations |
|
| Vendor | SafeLogic Inc. http://www.safelogic.com |
| Lab | EWA - Canada, UL Verification Services, Inc., Acumen Security, AEGISOLVE, Inc. |
| Algorithms | |
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, DES, Triple-DES, TDEA, HMAC, HMAC-SHA-224, HMAC-SHA-384, HMAC-SHA-256, HMAC-SHA-512, CMACAsymmetric Algorithms
RSA 2048, ECDSA, ECC, Diffie-Hellman, DH, DSAHash functions
SHA-1, SHA-224, SHA-256, SHA-384, SHA-512, SHA-2Schemes
MACProtocols
TLSRandomness
DUAL_EC_DRBG, DRBG, RNGElliptic Curves
P-224, P-256, P-384, P-521, P-192, K-283, K-409, K-571, B-283, B-409, B-571, K-233, B-233, K-163, B-163Block cipher modes
ECB, CBC, CTR, OFB, GCM, CCM, XTSVendor
QualcommSecurity level
Level 1Standards
FIPS 140-2, FIPS 140, FIPS 1402, FIPS 197, FIPS 186-4, FIPS 198-1, FIPS 186-2, FIPS 180-4, FIPS PUB 140-2, SP 800-38, SP 800-133, SP 800-90A, SP 800-67, NIST SP 800-131A, SP 800-38B, SP 800-38C, SP 800-38D, PKCS1, PKCS #1, PKCS#1, RFC5288, RFC5289, RFC 5246Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
Loading...
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 1938,
"dgst": "6eac02c2ab0dc937",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"DSA#A4947",
"DRBG#A4947",
"AES#A4947",
"RSA#A4947",
"#A4947",
"SHS#A4947",
"HMAC#A4947",
"Triple-DES#A4947",
"ECDSA#A4947"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"-"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": {
"_type": "Set",
"elements": [
"4200",
"3213",
"4048",
"2687",
"2013",
"2576",
"2671",
"2465",
"2717",
"3645",
"2947",
"3344",
"3129",
"3154",
"2101",
"4088"
]
},
"directly_referencing": null,
"indirectly_referenced_by": {
"_type": "Set",
"elements": [
"4200",
"3213",
"4048",
"2687",
"2013",
"2576",
"2671",
"2465",
"2717",
"3645",
"2947",
"3344",
"3129",
"3154",
"2101",
"4088"
]
},
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 43,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 1
},
"ECDSA": {
"ECDSA": 13
}
},
"FF": {
"DH": {
"DH": 1,
"Diffie-Hellman": 2
},
"DSA": {
"DSA": 13
}
},
"RSA": {
"RSA 2048": 2
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 1
},
"CCM": {
"CCM": 4
},
"CTR": {
"CTR": 2
},
"ECB": {
"ECB": 5
},
"GCM": {
"GCM": 8
},
"OFB": {
"OFB": 1
},
"XTS": {
"XTS": 1
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {
"TLS": {
"TLS": {
"TLS": 5
}
}
},
"crypto_scheme": {
"MAC": {
"MAC": 1
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"B-163": 3,
"B-233": 5,
"B-283": 7,
"B-409": 5,
"B-571": 7,
"K-163": 3,
"K-233": 6,
"K-283": 7,
"K-409": 7,
"K-571": 7,
"P-192": 10,
"P-224": 12,
"P-256": 14,
"P-384": 14,
"P-521": 10
}
},
"eval_facility": {},
"fips_cert_id": {
"Cert": {
"#1": 1
}
},
"fips_certlike": {
"Certlike": {
"AES GCM 256": 2,
"HMAC SHA- 224": 1,
"HMAC SHA- 256": 1,
"HMAC SHA-1": 1,
"HMAC SHA-384": 1,
"HMAC SHA-512": 1,
"HMAC-SHA-1": 12,
"HMAC-SHA-224": 2,
"HMAC-SHA-256": 4,
"HMAC-SHA-384": 2,
"HMAC-SHA-512": 4,
"PKCS #1": 2,
"PKCS#1": 4,
"PKCS1": 6,
"RSA 2048": 2,
"SHA- 2": 3,
"SHA- 224": 1,
"SHA- 256": 2,
"SHA-1": 24,
"SHA-2": 8,
"SHA-224": 2,
"SHA-256": 3,
"SHA-384": 4,
"SHA-512": 5,
"SHS 3": 1
}
},
"fips_security_level": {
"Level": {
"Level 1": 2
}
},
"hash_function": {
"SHA": {
"SHA1": {
"SHA-1": 24
},
"SHA2": {
"SHA-2": 8,
"SHA-224": 2,
"SHA-256": 3,
"SHA-384": 4,
"SHA-512": 5
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"DUAL_EC": {
"DUAL_EC_DRBG": 1
},
"PRNG": {
"DRBG": 15
},
"RNG": {
"RNG": 3
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140": 6,
"FIPS 140-2": 45,
"FIPS 1402": 2,
"FIPS 180-4": 2,
"FIPS 186-2": 6,
"FIPS 186-4": 7,
"FIPS 197": 2,
"FIPS 198-1": 2,
"FIPS PUB 140-2": 1
},
"NIST": {
"NIST SP 800-131A": 2,
"SP 800-133": 1,
"SP 800-38": 1,
"SP 800-38B": 1,
"SP 800-38C": 1,
"SP 800-38D": 1,
"SP 800-67": 2,
"SP 800-90A": 3
},
"PKCS": {
"PKCS #1": 1,
"PKCS#1": 2,
"PKCS1": 3
},
"RFC": {
"RFC 5246": 1,
"RFC5288": 2,
"RFC5289": 2
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 20
}
},
"DES": {
"3DES": {
"TDEA": 1,
"Triple-DES": 11
},
"DES": {
"DES": 1
}
},
"constructions": {
"MAC": {
"CMAC": 8,
"HMAC": 17,
"HMAC-SHA-224": 2,
"HMAC-SHA-256": 1,
"HMAC-SHA-384": 2,
"HMAC-SHA-512": 1
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {
"Qualcomm": {
"Qualcomm": 1
}
},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"DSA#A4947",
"DRBG#A4947",
"AES#A4947",
"RSA#A4947",
"SHS#A4947",
"HMAC#A4947",
"Triple-DES#A4947",
"ECDSA#A4947"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#A4947"
]
},
"policy_metadata": {
"/Author": "SafeLogic",
"/CreationDate": "D:20240307162227-08\u002700\u0027",
"/Creator": "Microsoft\u00ae Word for Microsoft 365",
"/ModDate": "D:20240307162227-08\u002700\u0027",
"/Producer": "Microsoft\u00ae Word for Microsoft 365",
"/Subject": "CryptoComply for Mobile",
"/Title": "Security Policy",
"pdf_file_size_bytes": 644956,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"https://www.safelogic.com/cryptocomply",
"https://csrc.nist.gov/projects/cryptographic-module-validation-program",
"https://source.android.com/compatibility/cdd",
"http://www.safelogic.com/"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 26
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "79a39d95de7d35d827083a25643f0d539b2cc7d4979085b5bbbb2d82d1b2476a",
"source_hash": "d9e03fd33f5c4092616b84bda27633a8d4042af9c33d584e10f760a1ce90b48e",
"txt_hash": "eca6f58ed5dfd314d543928d6b2b09b8006accf2b9c566f15db65beddc357c34"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode. The module makes no assurance of the minimum strength of random strings and generated keys.",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/FIPS140ConsolidatedCertList0028.pdf",
"date_sunset": null,
"description": "SafeLogic\u0027s CryptoComply for Mobile is designed to provide FIPS 140-2 validated cryptographic functionality and is available for licensing.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Design Assurance: Level 3"
],
"fw_versions": null,
"historical_reason": "Moved to historical list due to sunsetting",
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "CryptoComply for Mobile",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": "2.1.2",
"tested_conf": [
"Android 8 running on a Galaxy Nexus 5X with a Qualcomm Snapdragon",
"iPadOS 15 running on an Apple iPad Air 2 with an Apple A8X (single-user mode)"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2013-04-30",
"lab": "EWA - Canada",
"validation_type": "Initial"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2013-11-08",
"lab": "EWA - Canada",
"validation_type": "Update"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2014-04-23",
"lab": "UL Verification Services, Inc.",
"validation_type": "Update"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2016-01-25",
"lab": "",
"validation_type": "Update"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2016-02-10",
"lab": "Acumen Security",
"validation_type": "Update"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2018-03-29",
"lab": "Acumen Security",
"validation_type": "Update"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2021-03-09",
"lab": "EWA - Canada",
"validation_type": "Update"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2021-04-20",
"lab": "AEGISOLVE, Inc.",
"validation_type": "Update"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2023-01-17",
"lab": "EWA - Canada",
"validation_type": "Update"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2024-04-18",
"lab": "EWA - Canada",
"validation_type": "Update"
}
],
"vendor": "SafeLogic Inc.",
"vendor_url": "http://www.safelogic.com"
}
}